#!/usr/bin/perl
# ------------------------------------------------------------------------------
#  ident "@(#)men_container.pl 1.10 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

#-------------------------------------------------------------------------------
#
# install CONTAINER local packages
#
#-------------------------------------------------------------------------------
	
sub cont_local_install_pkg {

  my ($nodeid) = @_ ;

  my $answers_file_name ="answers_local_cont_${proto_name}";
  my $answers_file ="${WORKING_DIR}/${answers_file_name}";
  
  # 
  # Create a pkgadd answers file
  #
  open(ANSWERS, ">$answers_file") ||
    &error("Unable to create $answers_file");
  
  print ANSWERS <<"FEO";

LDAP_ETC_SERVICE_PORT=7389
CSSC_ETC_SERVICE_PORT=667

FEO

  close(ANSWERS);
	
  install_men_pkg($nodeid, $ROOT_DIR, $PACKAGE_SUBDIR, $LOCAL_PACKAGES,
		       "LOCAL", $answers_file) ;
}

#-------------------------------------------------------------------------------
#
# install CONTAINER Shared packages
#
#-------------------------------------------------------------------------------
sub cont_shared_install_pkg {

  my ($nodeid) = @_ ;

  install_men_pkg($nodeid, $ROOT_DIR, $PACKAGE_SUBDIR, $SHARED_PACKAGES, "SHARED", "") ;
  
}


##################################################################################
#
#                               This is the main
#
##################################################################################

@required = [ROOT_DIR, PACKAGE_SUBDIR, LOCAL_PACKAGES, WORKING_DIR, NODE_ROLE] ;
@optional = [SHARED_PACKAGES] ;

init_and_read_arg($0, @required, @optional) ;

if ((($NODE_ID eq $MEN1_ID) || ($NODE_ID eq $MASTER_ID)) && ($SHARED_PACKAGES eq "")) {
  print $LOG "Container shared packages required for node 1\n" ;
  usage($0, @required, $optional) ;
}


# Install local packages
print_stage_node("Application Services installation");
cont_local_install_pkg($NODE_ID);


# Install CONTAINER shared packages on only first/master MEN

if (($NODE_ID eq $MEN1_ID) || ($NODE_ID eq $MASTER_ID)) {
 &cont_shared_install_pkg($NODE_ID);
}

# That's all folk!
exit(0);

