#!/usr/bin/perl
# ------------------------------------------------------------------------------
#  ident "@(#)men_end.pl 1.12 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

#-------------------------------------------------------------------------------
#
# CMM end
#
#-------------------------------------------------------------------------------
sub cmm_end {

  my ($cluster,$subnet0,$subnet1,$proto_node_id,$server_node) = @_;
  
  my $proto_ip   ="${subnet0}.${cluster}.${subnet1}.${proto_node_id}";
  
  my $server_ip  ="${subnet0}.${cluster}.${subnet1}.${server_node}";
  
  my $config_in_progress = "/etc/opt/SUNWcgha/not_configured";
  
  #
  # remove file /etc/opt/SUNWcgha/not_configured
  #
  &remote_exec( "$proto_ip", "$RRM -f $config_in_progress" ) ||
    &error ( "Unable to remove $config_in_progress file" );
	
}


##################################################################################
#
#                               This is the main
#
##################################################################################
    
init_and_read_arg($0, [NODE_ROLE], []) ;

# if the installation is optimized, the not_configured file is not removed
# (remove after diskless installation)
# except if there is no diskless environment to install (in this case, the installation
# is complete)
if (($ENV{OPTIMIZED_INSTALL} ne "YES") or ( -f "$ENV{STAGES_DIR}/NO_DISKLESS_ENV")) {
  print_stage_node("Foundation services post-installation");
  cmm_end ($CLUSTER, $SUBNET0, $SUBNET1, $NODE_ID, $SERVER_NODE);
}

# That's all folk!
exit(0);







