#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)men_ldap.pl 1.9 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

#-------------------------------------------------------------------------------
#
# install LDAP local packages
#
#-------------------------------------------------------------------------------
	
sub ldap_local_install_pkg {

   my ($nodeid) = @_;

   my $answers_file_name ="answers_local_ldap_${proto_name}";
   my $answers_file ="${WORKING_DIR}/${answers_file_name}";

   # 
   # Create a pkgadd answers file
   #
   open(ANSWERS, ">$answers_file") ||
     &error("Unable to create $answers_file");
   
   print ANSWERS <<"FEO";

LDAP_SERVER_ROOT=/usr/iplanet/nhas/servers
LDAP_DB_PATH=/SUNWcgha/local/ldap_nhas_2_0
LDAP_ADMIN_SRV_PORT=8900
LDAP_TAR_GZ_PATH=/mnt/${LDAP_SUBDIR}/${LDAP_IPLANET}

FEO

   close(ANSWERS);
	
   install_men_pkg($nodeid, $ROOT_DIR, $PACKAGE_SUBDIR, $LOCAL_PACKAGES, "LOCAL", $answers_file) ;
}


##################################################################################
#
#                               This is the main
#
##################################################################################
    
init_and_read_arg($0,
		  [ ROOT_DIR, PACKAGE_SUBDIR, LOCAL_PACKAGES, LDAP_SUBDIR, LDAP_IPLANET, NODE_ROLE, WORKING_DIR],
		  []);

if ($RECOVERY ne "") {
  print_recovery_node("LDAP packages clean-up") ;
  remove_men_pkg($NODE_ID, $LOCAL_PACKAGES, "LOCAL") ;
} else {
  # Install local packages
  print_stage_node("LDAP packages Installation");
  ldap_local_install_pkg($NODE_ID);
}

# That's all folk!
exit(0);

