#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)men_ma_jdmk.pl 1.11 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}


# ------------------------------------------------------------------------------
#
# update the ma.conf file
#
# ------------------------------------------------------------------------------

sub update_ma_file
  {
    my ($ma_file, $update_entry_input, $update_value_input) = @_;
    
    my $count=0;
    my $update_entry;
    my $update_value;
    my $garbage;
    
    my $count = 0;   
    
    open (MAFILE, $ma_file ) || &error("Unable to open $ma_file");
    open (MAFILE_TMP, ">${ma_file}.tmp" ) || &error("Unable to open ${ma_file}.tmp");
    
    while ( <MAFILE> ) {
    
      chop();
      ($update_entry, $update_value, $garbage) = split (/=/, $_) ;
      
      if ( "$update_entry" eq "$update_entry_input" ) {
	print MAFILE_TMP "${update_entry}=${update_value_input}\n";
	$count++;
      } else {
	print MAFILE_TMP "$_\n";
      }
      next;
      
    }
    close (MAFILE);
    close (MAFILE_TMP);
    
    unless ( $count ) {
      open (MAFILE_TMP, ">>${ma_file}.tmp" ) || &error("Unable to update $ma_file");
      print MAFILE_TMP "$update_entry_input=$update_value_input\n";
      close (MAFILE_TMP);
    }
    
    &exec_cmd ( "$MV ${ma_file}.tmp ${ma_file}") ||
      &error ( "Unable to move ${ma_file}.tmp ${ma_file}");
    }

# ------------------------------------------------------------------------------
#
#  configure ma.conf
#
# ------------------------------------------------------------------------------

sub configure_ma {

  my ($node_id) = @_ ;

  my $local_maconf = "$WORKING_DIR/ma.conf_${node_id}";
  my $remote_maconf = "/etc/opt/SUNWcgha/ma.conf";
  my $node_ip   ="${SUBNET0}.${CLUSTER}.${SUBNET_NIC0}.${node_id}";
  
  if ($USE_CGTP eq "YES") {
    return ;
  }
  
  print_action("Management agent configuration (no CGTP)");
  
  exec_cmd ( "$RCP $node_ip:${remote_maconf} $local_maconf") ||
    &error ( "Unable to retrieve proto_node:$remote_maconf in $local_maconf");
  
  update_ma_file($local_maconf, "MA_NO_CGTP", "1");
  
  exec_cmd( "$RCP $local_maconf $node_ip:${remote_maconf}" ) ||
    &error ( "Unable to putback $local_maconf on install_node:${remote_maconf}") ;
  }

##################################################################################
#
#                               This is the main
#
##################################################################################

@required = [ ROOT_DIR, PACKAGE_SUBDIR, LOCAL_PACKAGES, NODE_ROLE, WORKING_DIR] ;
@optional = [ SHARED_PACKAGES, JDMK_PACKAGES, PATCH_SUBDIR, PATCH_NUMBER] ;
init_and_read_arg($0, @required, @optional) ;


if ( $NODE_ID eq $MEN1_ID ) {
	      
  # if we are on first node, then all packages are mandatory
  if (! &defined($SHARED_PACKAGES)) {
    print $LOG "MA shared packages are required\n" ;
    usage($0, $required, $optional) ; 
    exit 1 ;
  } 
  if (! &defined($JDMK_PACKAGES)) {
    print $LOG "JDMK packages are required\n" ;
    usage($0, $required, $optional) ; 
    exit 1 ;
  }
  if (! &defined($PATCH_SUBDIR)) {
    print $LOG "JDMK patch sub-directory is required\n" ;
    usage($0, $required, $optional) ; 
    exit 1 ;
  }
  if (! &defined($PATCH_NUMBER)) {
    print $LOG "JDMK patch reference is required\n" ;
    usage($0, $required, $optional) ; 
    exit 1 ;
  }
}
 
if ($RECOVERY ne "") {

  if ($NODE_ID eq $MEN1_ID) {
    print_recovery_node("Management Agent (MA) and JDMK clean-up") ;
    remove_men_patch($NODE_ID, $PATCH_NUMBER, "SHARED") ;
  }

} else {

  print_stage_node("Management Agent (MA) and JDMK installation") ;

  # Install local packages
  install_men_pkg($NODE_ID, $ROOT_DIR, $PACKAGE_SUBDIR, $LOCAL_PACKAGES, "LOCAL", "") ;
  configure_ma($NODE_ID);
  
  # Install shared packages MA and JDMK, and Supplementary packages on only first MEN
  
  if ( $NODE_ID eq $MEN1_ID ) {
    
    # Remove the JDMK package (installing over an existing version does not work)
    #  remove_men_pkg($NODE_ID, $JDMK_PACKAGES, "SHARED") ;
    install_men_pkg($NODE_ID, $ROOT_DIR, $PACKAGE_SUBDIR, $SHARED_PACKAGES, "SHARED", "") ;
    install_men_pkg($NODE_ID, $ROOT_DIR, $PACKAGE_SUBDIR, $JDMK_PACKAGES, "SHARED", "") ;
    shared_patch_preparation() ;
    install_men_patch($NODE_ID, $ROOT_DIR, $PATCH_SUBDIR, $PATCH_NUMBER, "SHARED") ;
  }
}

# That's all folk!
exit(0);







