#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)nmen_ma.pl 1.9 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

# ------------------------------------------------------------------------------
#
#  configure ma.conf
#
# ------------------------------------------------------------------------------

sub configure_ma {

  my ($node_id) = @_ ;
  my $maconf = "/etc/opt/SUNWcgha/ma.conf";
  my $node_ip = "${SUBNET0}.${CLUSTER}.${SUBNET_NIC0}.${node_id}";

  if ($USE_CGTP eq "YES") {
    return ;
  }

  print_action("Management agent configuration (no CGTP)");

  for my $node (0..$#NODE_LIST) {

    if ($node ne $MEN1 && $node ne $MEN2) {
      
      $node_name_template = build_node_name($NODE_LIST[$node]{id}, "");
      print_subaction("for $node_name_template") ;
						
      #
      # retrieve diskless node /etc/vfstab file
      #
      &remote_exec ( $node_ip, "$RCOPY $maconf /export/root/${node_name_template}${maconf}") ||
	&error ( "Unable to copy $maconf to /export/root/${node_name_template}${maconf}");
    }
  }
}

##################################################################################
#
#                               This is the main
#
##################################################################################

init_and_read_arg($0,
		  [ ROOT_DIR, PACKAGE_SUBDIR, LOCAL_PACKAGES, NODE_ROLE, WORKING_DIR] ,
		  []) ;

# NMENs environment is only set on the first MEN
if ( $NODE_ID eq $MEN1_ID ) {
  print_stage_node("Management Agent (MA) installation for diskless") ;

  &install_nmen_pkg ($NODE_ID, $ROOT_DIR, $PACKAGE_SUBDIR, $LOCAL_PACKAGES, "");

  configure_ma($NODE_ID);
} 


# That's all folk!
exit(0);

