#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)nmen_disklesspkg.pl 1.3 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

##################################################################################
#
#                               This is the main
#
##################################################################################

init_and_read_arg($0,
		  [ SOLARIS_DIR, SOLARIS_SUBDIR, USRPLATFORM_PACKAGES, 
		    PLATFORM_PACKAGES, NODE_ROLE, WORKING_DIR],
		  []);


#--------------------------------------------------------------------------------#
#
# Use absolute pathname for directories
#
#--------------------------------------------------------------------------------#

if ( &defined($SOLARIS_DIR) ) {
   $SOLARIS_DIR = "$EXECDIR"."/".$SOLARIS_DIR unless ( $SOLARIS_DIR =~ /^\// );
}

if ($NODE_ID eq $MEN1_ID) {
  if ($RECOVERY ne "") {
    print_recovery_node("Platform-specific packages for diskless clean-up") ;

    remove_nmen_pkg($NODE_ID, $PLATFORM_PACKAGES) ;
    remove_men_pkg($NODE_ID, $USRPLATFORM_PACKAGES, "USR_SPECIFIC") ;
      
  } else {
    print_stage_node("Platform-specific package installation for diskless") ;

    install_men_pkg($NODE_ID, $SOLARIS_DIR, $SOLARIS_SUBDIR, $USRPLATFORM_PACKAGES, "USR_SPECIFIC", "") ;
    install_nmen_pkg($NODE_ID, $SOLARIS_DIR, $SOLARIS_SUBDIR, $PLATFORM_PACKAGES, "");
  }
}

# That's all folk!
exit(0);







