#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)reboot.pl 1.1 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

use FileHandle;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
	require "$ENV{NHINSTALL_LIB}/tools/lib/conf.pl";
}

##################################################################################
#
#                               This is the main
#
##################################################################################

init_and_read_arg($0,
	 [NODE_ROLE, REBOOT], 
	 []) ;

my $node_ip = "$SUBNET0.$CLUSTER.$SUBNET1.$NODE_ID";

print_stage_node("Reboot") ;

print_action("remotely reboot the node");

# reboot the node
$result = qx{rsh -n $node_ip \"/usr/sbin/shutdown -y -g 0 -i 6\" 2>&1};

# wait the reboot to be performed (if the ping comes too soon, the node is still there
sleep 30;

print_action("waiting for network interface to be reachable");

autoflush STDOUT 1;
print "waiting.";
for (;;) {
  $result = qx/ping $node_ip/;
  if ($result =~ /alive/) {
    last ;
  }
  sleep 10 ;
  print ".";

}		    
print "done.\n" ;
autoflush STDOUT 0;

my $process = "";
if ($REBOOT eq "SOL") {
  print_action("waiting for Solaris to be ready");
  $process = "snmpdx" ;
  
} else {
  print_action("waiting for Foundation Services to be ready");
  $process = "snmpdx" ;
}

# wait for a process to be there
autoflush STDOUT 1;
print "waiting.";
for (;;) {
  $result = qx/rsh -n $node_ip \"pgrep $process\" 2>&1/;
  if ($result =~ /^[0-9]+$/) {
    last ;
  }
  print ".";
  sleep 10;
}

# check that CMM is correctly initialized
if ($REBOOT eq "FS") {
  for (;;) {
    $result = qx{rsh -n $node_ip \"/opt/SUNWcgha/sbin/cmmrole -v\"};
    if ($result =~ /current role [VICE_]*MASTER/) {
      last ;
    }
    print ".";
    sleep 10;
  }
}
print "done.\n";

autoflush STDOUT 0;

exit(0)
