#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)wait_boot.pl 1.1 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

use FileHandle;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
	require "$ENV{NHINSTALL_LIB}/tools/lib/conf.pl";
}

##################################################################################
#
#                               This is the main
#
##################################################################################

init_and_read_arg($0,
	 [NODE_ROLE], 
	 []) ;

my $node_ip = "$SUBNET0.$CLUSTER.$SUBNET1.$NODE_ID";

print_stage_node("Waiting for completion of Solaris installation") ;

print_action("waiting for network interface to be reachable");

autoflush STDOUT 1;
print "waiting";
for (;;) {
  print ".";
  $result = qx/ping $node_ip/;
  if ($result =~ /alive/) {
    last ;
  }
  sleep 10 ;
}
print "done.\n";
autoflush STDOUT 0;

print_action("waiting for Solaris daemons to be ready");

autoflush STDOUT 1;
print "waiting";
for (;;) {
  print ".";
  $result = qx/rsh -n $node_ip \"pgrep mountd\" 2>&1/;
  if ($result =~ /^[0-9]+$/) {
    last ;
  }
  sleep 10 ;
}     
print "done.\n";
autoflush STDOUT 0;

exit(0)
